Package org.eclipse.net4j.util.ui.confirmation

# Class InteractiveConfirmationProvider

java.lang.Object
org.eclipse.net4j.util.ui.confirmation.InteractiveConfirmationProvider

All Implemented Interfaces:
  `IConfirmationProvider`

public class InteractiveConfirmationProvider extends Object implements IConfirmationProvider

Since:
  3.4
Author:
  Christian W. Damus (CEA LIST)

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`InteractiveConfirmationProvider.Factory`

## Nested classes/interfaces inherited from interface org.eclipse.net4j.util.confirmation.IConfirmationProvider

`IConfirmationProvider.Provider`

## Constructor Summary

Constructors
Constructor
Description
`InteractiveConfirmationProvider()`

## Method Summary

Modifier and Type
Method
Description
`Confirmation`
`confirm(String subject, String message, Set<Confirmation> acceptable, Confirmation suggestion)`
Requests confirmation of some action/operation/consequence pertaining to a `subject` and described by a `message`.
`boolean`
`isInteractive()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### InteractiveConfirmationProvider

public InteractiveConfirmationProvider()

## Method Details

### isInteractive

public boolean isInteractive()

Specified by:
  `isInteractive` in interface `IConfirmationProvider`

### confirm

public Confirmation confirm(String subject, String message, Set<Confirmation> acceptable, Confirmation suggestion)
Description copied from interface: `IConfirmationProvider`
Requests confirmation of some action/operation/consequence pertaining to a `subject` and described by a `message`. Any of the non-empty set of `acceptable` responses may be returned, and the requester may optionally provide a `suggestion` of a suitable/safe default answer.

Specified by:
  `confirm` in interface `IConfirmationProvider`